<!-- -------------------- ./mgmt/part_mgtcreate.html -------------------- -->

<?php include "snippets/header-new.html"; ?>

<script>
  function CheckedSubmit() {
    var dnam = $("#DOSNAM").val();
    if (dnam === "" || dnam.match(/_[0-9]*_[0-9]*/)) {
      $("#msgcuns").show();
    } else {
      $("#msgcuns").hide();
      $("#mgtcredoc").submit();
    }
  }
</script>

<main class="os-main-content">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col-12">
      <header class="os-main-content__header">
        <div class="fr-grid-row">
          <div class="fr-col">
            <h2 class="fr-h3">Nouveau dossier de signature</h2>
          </div>
        </div>
      </header>
    </div>

    <div class="fr-col-12">
      <section>
        <form novalidate="novalidate" id="mgtcredoc" method="post" action="<?php echo $this->URL->GetMgmtMethod('FinishCreate'); ?>">
          <input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
          <input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
          <input value="<?php echo $this->DID; ?>" name="DID" id="DID" type="hidden">

          <div class="fr-alert fr-alert--error fr-mb-2w" role="alert" style="display: none;" id="msgcuns">
            Veuillez choisir un nom significatif SVP !
          </div>

          <div class="fr-input-group">
            <label for="DOSNAM" class="fr-label">
              Titre :
            </label>
            <input type="text" class="fr-input" value="" name="DOSNAM" id="DOSNAM" placeholder="Veuillez saisir un nom significatif">
          </div>

          <div class="fr-input-group fr-grid-row">
            <div class="os-dropzone fr-col-12 fr-col-md-6">
              <span>Sélectionnez des fichiers…</span>
              <button class="fr-btn fr-btn--secondary" type="button" onclick="$('#fileupload').click()">
                Parcourir
              </button>
              <input id="fileupload" type="file" name="files[]" multiple style="display:none;">
              <p>… ou glissez/déposez vos fichiers ici</p>
            </div>

            <!-- The container for the uploaded files  and  end operation -->
            <div class="os-dropped-files files fr-col-12 fr-col-md-6">
              <strong>Fichiers téléversés :</strong>
              <ul id="files"></ul>
            </div>
          </div>
          <div class="fr-input-group">
            <label for="DOSLIM" class="fr-label">Date de fin de vie :</label>
            <div class="fr-input-wrap fr-fi-calendar-line">
              <input type="date" class="fr-input" value="<?php echo $this->DOSINF['endoflife']; ?>" name="DOSLIM" id="DOSLIM" <?php echo ($this->DATESEL == 'no') ? "readonly" : ""; ?>>
            </div>
          </div>
          <input value="on" name="DOSBLG" id="DOSBLG" type="hidden">

          <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-center">
            <li>
              <button class="fr-btn fr-icon-arrow-right-s-line fr-btn--icon-right" onclick="CheckedSubmit()">
                Continuer
              </button>
            </li>
            <li>
              <a class="fr-btn fr-icon-arrow-go-back-line fr-btn--secondary fr-btn--icon-left" href="/mgt/DosAll">
                Annuler
              </a>
            </li>
          </ul>
        </form>
      </section>
    </div>
  </div>
</main>

<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/jquery_validate_fr.js"></script>
<!-- ------ JQFU ----------- -->

<!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
<script src="/pub/jqfu/js/vendor/jquery.ui.widget.js"></script>
<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
<script src="/pub/jqfu/js/jquery.iframe-transport.js"></script>
<!-- The basic File Upload plugin -->
<script src="/pub/jqfu/js/jquery.fileupload.js"></script>
<script>
  /*jslint unparam: true */
  /*global window, $ */
  $(function() {
    'use strict';
    // Change this to the location of your server-side upload handler:
    var url = '<?php echo $this->URL->GetMgmtMethod('CreateJQFU'); ?>';
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        done: function(e, data) {
          $.each(data.result.files, function(index, file) {
            $('<li/>').text(file.name).appendTo('#files');
          });
        },
        fail: function(e, data) {
          alert('Erreur pour ' + data.files.map(f => f.name) + ' : ' +  Object.values(data.messages).join(', '));
        },
        progressall: function(e, data) {
          var progress = parseInt(data.loaded / data.total * 100, 10);
          $('#progress .progress-bar').css('width', progress + '%');
        },
        stop: function(e) {
          $('#uploadend').show();
        }
      }).prop('disabled', !$.support.fileInput)
      .parent().addClass($.support.fileInput ? undefined : 'disabled');
  });
</script>
<!-- ------ end JQFU ----------- -->

<!-- ------ form control ----------- -->
<script type="text/javascript">
  $(document).ready(function() {
    $("#mgtcredoc").validate({
      rules: {
        DOSNAM: {
          required: true
        },
      },
      errorClass: "help-inline"
    });
  });
</script>
<!-- ------ end form control ----------- -->
